Groups

Update Group Representation

PUT
/groups/{groupId}/representation

Updates whether the user is representing the group.

When isRepresenting is set to true, this flag will be set to false for all other groups

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Request Body

application/json

isRepresenting*boolean

Whether the user is representing the group.

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/representation" \  -H "Content-Type: application/json" \  -d '{    "isRepresenting": true  }'
{
  "success": {
    "message": "Group representation updated!",
    "status_code": 200
  }
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "You're not a member.",
    "status_code": 403
  }
}